Page MenuHomePhabricator

Update selenium-daily-beta-* jobs to node10/npm6
Closed, ResolvedPublic

Description

The jobs have to be switched to node10. Also they currently use docker-registry.wikimedia.org/releng/npm-browser-test:0.4.0 which is missing a full python installation (see T213944#4905485 )

Event Timeline

hashar created this task.Mar 4 2019, 10:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2019, 10:49 AM

Change 494199 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Default selenium-daily-beta-{project} to node10/npm6

https://gerrit.wikimedia.org/r/494199

Change 494199 merged by jenkins-bot:
[integration/config@master] Default selenium-daily-beta-{project} to node10/npm6

https://gerrit.wikimedia.org/r/494199

hashar added a comment.Mar 4 2019, 4:43 PM

The container releng/node10-test-browser does not come with the proper entry point (the one who had for releng/npm-test-browser). But adding the entrypoint would cause chromium to be updated to the latest version available in Stretch (v72) which is broken: T216702

So I am first pinning Chromium to v71, rebuild all containers and switch jobs to the new images. Then work on adding the proper entry point and then I will be able to test the upgrade of each of the selenium-daily-beta jobs.

Change 494364 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: sync node10-test-browser with npm-browser-test

https://gerrit.wikimedia.org/r/494364

hashar added a subscriber: Cparle.

That causes the WikibaseMediaInfo selenium daily job to fail T224978

Change 494364 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: sync node10-test-browser with npm-browser-test

https://gerrit.wikimedia.org/r/494364

Change 494364 merged by jenkins-bot:
[integration/config@master] docker: sync node10-test-browser with npm-browser-test

https://gerrit.wikimedia.org/r/494364

Change 514281 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update selenium-daily defaults

https://gerrit.wikimedia.org/r/514281

Mentioned in SAL (#wikimedia-releng) [2019-06-04T13:01:51Z] <hashar> Building docker-registry.discovery.wmnet/releng/node10-test-browser:0.6.0 # T217545

Change 514281 merged by jenkins-bot:
[integration/config@master] Update selenium-daily defaults

https://gerrit.wikimedia.org/r/514281

Change 514282 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] selenium-daily-beta-MediaWiki to NodeJS 10

https://gerrit.wikimedia.org/r/514282

Change 514282 merged by jenkins-bot:
[integration/config@master] selenium-daily-beta-* jobs to NodeJS 10

https://gerrit.wikimedia.org/r/514282

hashar added a comment.Jun 4 2019, 1:21 PM

https://integration.wikimedia.org/ci/job/selenium-daily-beta-MediaWiki/292/console does manage to install npm dependencies now.

For other jobs, they will need wdio-mocha-framework 0.6.4 which brings the fibers 3 package that is compatible with NodeJS 10. Example: https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Wikibase/+/514183/1/package.json

hashar closed this task as Resolved.Jun 4 2019, 1:23 PM
hashar claimed this task.

INFO:jenkins_jobs.builder:Number of jobs generated: 12
INFO:jenkins_jobs.builder:Reconfiguring jenkins job selenium-daily-beta-CirrusSearch
INFO:jenkins_jobs.builder:Reconfiguring jenkins job selenium-daily-beta-Echo
INFO:jenkins_jobs.builder:Reconfiguring jenkins job selenium-daily-beta-ElectronPdfService
INFO:jenkins_jobs.builder:Reconfiguring jenkins job selenium-daily-beta-Math
INFO:jenkins_jobs.builder:Reconfiguring jenkins job selenium-daily-beta-MediaWiki
INFO:jenkins_jobs.builder:Reconfiguring jenkins job selenium-daily-beta-Minerva
INFO:jenkins_jobs.builder:Reconfiguring jenkins job selenium-daily-beta-MobileFrontend
INFO:jenkins_jobs.builder:Reconfiguring jenkins job selenium-daily-beta-Newsletter
INFO:jenkins_jobs.builder:Reconfiguring jenkins job selenium-daily-beta-Popups
INFO:jenkins_jobs.builder:Reconfiguring jenkins job selenium-daily-beta-RelatedArticles
INFO:jenkins_jobs.builder:Reconfiguring jenkins job selenium-daily-beta-Wikibase
INFO:jenkins_jobs.builder:Reconfiguring jenkins job selenium-daily-beta-WikibaseLexeme
INFO:jenkins_jobs.cli.subcommand.update:Number of jobs updated: 12

Mentioned in SAL (#wikimedia-releng) [2019-06-04T13:24:02Z] <hashar> Update all selenium-daily* jobs to use NodeJS 10 instead of NodeJS 6. T217545